﻿#language: ru

Функционал: 02_milk_production.01.018 Настройка сканера штрихкодов

Сценарий: 02_milk_production.01.018 Настройка сканера штрихкодов
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Подключаемое оборудование'
	Тогда открылось окно 'Подключение и настройка оборудования'
	И я нажимаю на кнопку 'Список рабочих мест...'
	Тогда открылось окно 'Рабочие места'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочее место: Рабочее место (создание)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочее место: Рабочее место (создание)' в течение 20 секунд
	Тогда открылось окно 'Рабочие места'
	И Я закрываю окно 'Рабочие места'
	Тогда открылось окно 'Подключение и настройка оборудования'
	И я нажимаю на кнопку 'Выбор рабочего места...'
	Тогда открылось окно 'Рабочее место подключаемого оборудования текущего сеанса'
	И я нажимаю кнопку выбора у поля "Рабочее место"
	Тогда открылось окно 'Рабочие места'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочее место подключаемого оборудования текущего сеанса'
	И я нажимаю на кнопку 'Выбрать и закрыть'
	Тогда открылось окно 'Подключение и настройка оборудования'
	И в таблице "СписокУстройств" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Экземпляр подключаемого оборудования (создание)'
	И из выпадающего списка "Драйвер оборудования" я выбираю точное значение '1С:Сканеры штрихкода (NativeApi)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Экземпляр подключаемого оборудования (создание) *' в течение 20 секунд
	Тогда открылось окно 'Подключение и настройка оборудования'
	И Я закрываю окно 'Подключение и настройка оборудования'

Сценарий: 02_milk_production.01.018 Отключение использования сканера
	И В командном интерфейсе я выбираю 'Администрирование' 'Подключаемое оборудование'
	Тогда открылось окно 'Подключение и настройка оборудования'
	И в таблице "СписокУстройств" я перехожу к первой строке
	И в таблице "СписокУстройств" я выбираю текущую строку
	Тогда открылось окно "*1С:Сканеры штрихкода (NativeApi)* на Администратор(*) (Экземпляр подключаемого оборудования)"
	И я снимаю флаг 'Устройство используется'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна "*1С:Сканеры штрихкода (NativeApi)* на Администратор(*) (Экземпляр подключаемого оборудования) *" в течение 20 секунд
	Тогда открылось окно 'Подключение и настройка оборудования'
	И Я закрываю окно 'Подключение и настройка оборудования'